import request from '/@/utils/request';

export function Add(params: object) {
	return request({
		url: '/lis/feeitem/info/add',
		method: 'post',
		data: params,
	});
}
export function update(params: object) {
	return request({
		url: '/lis/feeitem/info/update',
		method: 'post',
		data: params,
	});
}
export function deleteId(params: string) {
	return request({
		url: '/lis/feeitem/info/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function list(params: object) {
    return request({
      url: '/lis/feeitem/info/list',
      method: 'post',
      data: params
    })
}
export function listUsers(params: object) {
    return request({
      url: '/lis/feeitem/info/listUsers',
      method: 'post',
      params
    })
}
export function listTestItemsByFeeItem(params: string) {
	return request({
		url: '/fee/test/set/vs/item/listTestItemsByFeeItem',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function saveVS(params: object) {
    return request({
      url: '/fee/test/set/vs/item/saveVS',
      method: 'post',
      data: params,
    })
}
export function addTestBill(params: object) {
    return request({
      url: '/patient/bill/info/addTestBill',
      method: 'post',
      data: params,
    })
}
export function deleteOrderItem(params: string) {
	return request({
		url: '/lis/order/info/deleteOrderItem',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function initFeeItems(params: string) {
	return request({
		url: '/lis/feeitem/info/initFeeItems',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function initTestItems(params: string) {
	return request({
		url: '/lis/testitem/info/initTestItems',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}



export function groupInfoListApi(params: any) {
    return request({
        url: '/fee/service/group/info/list',
        method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        params: params
    })
}

/**
 * 查询收费套餐明细API
 * @param code 
 * @returns 
 */
export function getFeeServiceGroupDetailByCodeApi(code: string) {
    return request({
        url: '/fee/service/group/info/detail2',
        method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        params: { code }
    })
}
